|
|
2eb93d |
From 9ce0fa95778a76d2334848e2629d111c4d636515 Mon Sep 17 00:00:00 2001
|
|
|
2eb93d |
From: Vishal Verma <vishal.l.verma@intel.com>
|
|
|
2eb93d |
Date: Wed, 15 Jun 2022 16:48:13 -0600
|
|
|
2eb93d |
Subject: [PATCH 212/217] scripts: update release helper scripts for meson and
|
|
|
2eb93d |
cxl
|
|
|
2eb93d |
|
|
|
2eb93d |
The prepare-release.sh and do_abidiff scripts perform sanity checking
|
|
|
2eb93d |
for library versioning and also guard against accidental ABI breakage
|
|
|
2eb93d |
by comparing the current release with the previous using 'abipkgdiff'
|
|
|
2eb93d |
from libabigail. Teach the scripts about libcxl, so that it too can
|
|
|
2eb93d |
participate in the above checks.
|
|
|
2eb93d |
|
|
|
2eb93d |
Additionally, move the checks over to the new meson regime. This does
|
|
|
2eb93d |
break any checking for the older autotools based build, but that should
|
|
|
2eb93d |
be okay.
|
|
|
2eb93d |
|
|
|
2eb93d |
Link: https://lore.kernel.org/r/20220615224813.523053-6-vishal.l.verma@intel.com
|
|
|
2eb93d |
Cc: Dan Williams <dan.j.williams@intel.com>
|
|
|
2eb93d |
Signed-off-by: Vishal Verma <vishal.l.verma@intel.com>
|
|
|
2eb93d |
---
|
|
|
2eb93d |
scripts/do_abidiff | 3 ++-
|
|
|
2eb93d |
scripts/prepare-release.sh | 3 ++-
|
|
|
2eb93d |
2 files changed, 4 insertions(+), 2 deletions(-)
|
|
|
2eb93d |
|
|
|
2eb93d |
diff --git a/scripts/do_abidiff b/scripts/do_abidiff
|
|
|
2eb93d |
index e8c3a65..ec3e344 100755
|
|
|
2eb93d |
--- a/scripts/do_abidiff
|
|
|
2eb93d |
+++ b/scripts/do_abidiff
|
|
|
2eb93d |
@@ -53,7 +53,7 @@ do_diff()
|
|
|
2eb93d |
local old_lib="$(find . -regex "./release/rel_${old}/${pkg}-libs-[0-9]+.*" | head -1)"
|
|
|
2eb93d |
local new_lib="$(find . -regex "./release/rel_${new}/${pkg}-libs-[0-9]+.*" | head -1)"
|
|
|
2eb93d |
|
|
|
2eb93d |
- [ -n "$pkg" ] || err "specify a package for diff (ndctl, daxctl)"
|
|
|
2eb93d |
+ [ -n "$pkg" ] || err "specify a package for diff (ndctl, daxctl, cxl)"
|
|
|
2eb93d |
[ -n "$old_base" ] || err "$pkg: old_base empty, possible build failure"
|
|
|
2eb93d |
[ -n "$new_base" ] || err "$pkg: new_base empty, possible build failure"
|
|
|
2eb93d |
|
|
|
2eb93d |
@@ -75,3 +75,4 @@ build_rpm $old > release/buildlog_$old 2>&1
|
|
|
2eb93d |
build_rpm $new > release/buildlog_$new 2>&1
|
|
|
2eb93d |
do_diff ndctl
|
|
|
2eb93d |
do_diff daxctl
|
|
|
2eb93d |
+do_diff cxl
|
|
|
2eb93d |
diff --git a/scripts/prepare-release.sh b/scripts/prepare-release.sh
|
|
|
2eb93d |
index 97ab964..8901b50 100755
|
|
|
2eb93d |
--- a/scripts/prepare-release.sh
|
|
|
2eb93d |
+++ b/scripts/prepare-release.sh
|
|
|
2eb93d |
@@ -100,7 +100,7 @@ gen_lists()
|
|
|
2eb93d |
}
|
|
|
2eb93d |
|
|
|
2eb93d |
# Check libtool versions in Makefile.am.in
|
|
|
2eb93d |
-# $1: lib name (currently libndctl or libdaxctl)
|
|
|
2eb93d |
+# $1: lib name (currently libndctl, libdaxctl, or libcxl)
|
|
|
2eb93d |
check_libtool_vers()
|
|
|
2eb93d |
{
|
|
|
2eb93d |
local lib="$1"
|
|
|
2eb93d |
@@ -181,6 +181,7 @@ next_fix=$(next_fix "$last_fix")
|
|
|
2eb93d |
|
|
|
2eb93d |
check_libtool_vers "libndctl"
|
|
|
2eb93d |
check_libtool_vers "libdaxctl"
|
|
|
2eb93d |
+check_libtool_vers "libcxl"
|
|
|
2eb93d |
|
|
|
2eb93d |
# HEAD~1 because HEAD would be the release commit
|
|
|
2eb93d |
gen_lists ${last_ref}..HEAD~1
|
|
|
2eb93d |
--
|
|
|
2eb93d |
2.27.0
|
|
|
2eb93d |
|